/*
 * Stupide.java
 *
 * Created on 8 novembre 2007, 15:52
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package fr.gouv.finances.cp.xemelios.test.plugin;

import fr.gouv.finances.cp.xemelios.tools.AbstractTool;
import javax.swing.JFrame;
import javax.swing.JOptionPane;

/**
 *
 * @author chm
 */
public class Stupide extends AbstractTool {
    private JFrame parentWindow;
    
    /** Creates a new instance of Stupide */
    public Stupide() {
    }

    public void setParentWindow(JFrame parentWindow) {
        this.parentWindow=parentWindow;
    }

    public void run() {
        JOptionPane.showMessageDialog(parentWindow,"Message de petit coucou\n"+(isInXemelios()?"Dans Xemelios":"Pas dans Xemelios"));
    }
    

    
}
